/**
 * Jenesis Data Store Copyright (c) 2017 Ifunga Ndana. All rights reserved.
 *
 * 1. Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:
 *
 * 2. Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.
 *
 * 3. Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.
 *
 * Neither the name Jenesis Data Store nor the names of its contributors may be used to endorse or promote products derived from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */
package io.github.subiyacryolite.jds.enums;

/**
 * An enum containing the data-types supported by JDS
 * @param type field id
 */
enum class FieldType(val type: kotlin.Int) {

    /**
     *
     */
    Float(0),

    /**
     *
     */
    Int(1),

    /**
     *
     */
    Double(2),

    /**
     *
     */
    Long(3),

    /**
     *
     */
    String(4),

    /**
     *
     */
    DateTime(5),

    /**
     *
     */
    FloatCollection(6),

    /**
     *
     */
    IntCollection(7),

    /**
     *
     */
    DoubleCollection(8),

    /**
     *
     */
    LongCollection(9),

    /**
     *
     */
    StringCollection(10),

    /**
     *
     */
    DateTimeCollection(11),

    /**
     *
     */
    EnumCollection(12),

    /**
     *
     */
    Boolean(13),

    /**
     *
     */
    ZonedDateTime(14),

    /**
     *
     */
    Date(15),

    /**
     *
     */
    Time(16),

    /**
     *
     */
    Blob(17),

    /**
     *
     */
    Enum(18),

    /**
     *
     */
    Entity(19),

    /**
     *
     */
    MonthDay(20),

    /**
     *
     */
    YearMonth(21),

    /**
     *
     */
    Period(22),

    /**
     *
     */
    Duration(23),

    /**
     *
     */
    EntityCollection(24),

    /**
     *Why does this exist
     */
    Unknown(25),

    /**
     *
     */
    EnumString(26),

    /**
     *
     */
    EnumStringCollection(27),

    /**
     *
     */
    Short(28),

    /**
     *
     */
    Uuid(29),

    /**
     *
     */
    UuidCollection(30),

    /**
     *
     */
    ShortCollection(31),

    /**
     *
     */
    MapIntKey(32),

    /**
     *
     */
    MapStringKey(33);
}
